Package org.codehaus.groovy.tools

## Class FileSystemCompiler.VersionProvider

- java.lang.Object
- - org.codehaus.groovy.tools.FileSystemCompiler.VersionProvider

- All Implemented Interfaces:
    `picocli.CommandLine.IVersionProvider`
  Enclosing class:
    FileSystemCompiler

      public static class FileSystemCompiler.VersionProvider
      extends Object
      implements picocli.CommandLine.IVersionProvider

  Since:
    2.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VersionProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getVersion()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionProvider

          public VersionProvider()

  - ### Method Detail

    - #### getVersion

          public String[] getVersion()

      Specified by:
        `getVersion` in interface `picocli.CommandLine.IVersionProvider`